rdrand.h File Reference

Classes for RDRAND and RDSEED. More...

Go to the source code of this file.

## Classes

class | RDRAND_Err
| Exception thrown when a RDRAND generator encounters a generator related error. More...
class | RDRAND
| Hardware generated random numbers using RDRAND instruction. More...
class | RDSEED_Err
| Exception thrown when a RDSEED generator encounters a generator related error. More...
class | RDSEED
| Hardware generated random numbers using RDSEED instruction. More...

## Detailed Description

Classes for RDRAND and RDSEED.

Since
  Crypto++ 5.6.3

Definition in file rdrand.h.